Package io.vertx.grpc.common

## Enum GrpcError

- java.lang.Object
- - java.lang.Enum<GrpcError>
  - - io.vertx.grpc.common.GrpcError

- All Implemented Interfaces:
    `Serializable`, `Comparable<GrpcError>`

      public enum GrpcError
      extends Enum<GrpcError>

  gRPC error, a subset of `GrpcStatus` elements.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CANCELLED` |
    `INTERNAL` |
    `PERMISSION_DENIED` |
    `RESOURCE_EXHAUSTED` |
    `UNAVAILABLE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `http2ResetCode` |
    `GrpcStatus` | `status` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GrpcError` | `mapHttp2ErrorCode​(long code)` | Map the HTTP/2 code to the gRPC error.
    `static GrpcError` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static GrpcError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERNAL

          public static final GrpcError INTERNAL

    - #### UNAVAILABLE

          public static final GrpcError UNAVAILABLE

    - #### CANCELLED

          public static final GrpcError CANCELLED

    - #### RESOURCE_EXHAUSTED

          public static final GrpcError RESOURCE_EXHAUSTED

    - #### PERMISSION_DENIED

          public static final GrpcError PERMISSION_DENIED

  - ### Field Detail

    - #### status

          public final GrpcStatus status

    - #### http2ResetCode

          public final long http2ResetCode

  - ### Method Detail

    - #### values

          public static GrpcError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GrpcError c : GrpcError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GrpcError valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### mapHttp2ErrorCode

          public static GrpcError mapHttp2ErrorCode​(long code)

      Map the HTTP/2 code to the gRPC error.
      Parameters:
        `code` - the HTTP/2 code
      Returns:
        the gRPC error or `null` when none applies